/* copy to clipboard    */
.wp-block-uagb-icon-list-child {
  position: relative;
}

.copy-icon {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  vertical-align: middle;
  margin-left: 8px;
  color: #1d1d1f; /* Astra 3 */
  cursor: pointer;
  z-index: 2;
  position: relative;
  transition: color 0.2s ease;
}

/* Mensaje de feedback para "copiado al portapapeles" */
.copy-icon span {
  pointer-events: none;
}

.copy-icon:hover {
  color: var(--ast-global-color-3); /* Astra 0 */
}

.copy-icon-footer.copy-icon{
  color: var(--ast-global-color-4);
}

.copy-icon.copied {
  color: var(--ast-global-color-0); /* Verde para feedback al copiar */
}

.copy-icon svg {
  width: 16px;
  height: 16px;
}

.copy-icon svg path{
    stroke: var(--ast-global-color-3);
}

.copy-icon.copied svg path{
    stroke: var(--ast-global-color-0);
}

.copy-icon.copy-icon-footer svg path{
    stroke: var(--ast-global-color-4);
}

.copy-icon-footer.copy-icon.copied svg path{
    stroke: var(--ast-global-color-0);
}

.uagb-icon-list__label {
  display: inline-flex;
  align-items: center;
}